> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opscape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a public board by workspace and board slug



## OpenAPI

````yaml https://opscape.com/api/v1/openapi.json get /workspaces/{workspaceSlug}/boards/{boardSlug}
openapi: 3.0.0
info:
  title: Kan API
  description: OpenAPI compliant REST API
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /workspaces/{workspaceSlug}/boards/{boardSlug}:
    get:
      tags:
        - Boards
      summary: Get a public board by workspace and board slug
      operationId: getPublicBoardBySlug
      parameters:
        - name: workspaceSlug
          required: true
          in: path
          schema:
            type: string
        - name: boardSlug
          required: true
          in: path
          schema:
            type: string
        - name: members
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              minLength: 12
        - name: labels
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              minLength: 12
        - name: lists
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              minLength: 12
        - name: dueDateFilters
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - overdue
                - today
                - tomorrow
                - next-week
                - next-month
                - no-due-date
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BoardBySlugDto_Output'
components:
  schemas:
    BoardBySlugDto_Output:
      type: object
      properties:
        publicId:
          type: string
        name:
          type: string
        slug:
          type: string
        visibility:
          type: string
          enum:
            - private
            - public
        workspace:
          type: object
          properties:
            publicId:
              type: string
            name:
              type: string
            slug:
              type: string
          required:
            - publicId
            - name
            - slug
          additionalProperties: false
        labels:
          type: array
          items:
            type: object
            properties:
              publicId:
                type: string
              name:
                type: string
              colourCode:
                type: string
                nullable: true
            required:
              - publicId
              - name
              - colourCode
            additionalProperties: false
        lists:
          type: array
          items:
            type: object
            properties:
              publicId:
                type: string
              name:
                type: string
              index:
                type: number
              cards:
                type: array
                items:
                  type: object
                  properties:
                    publicId:
                      type: string
                    title:
                      type: string
                    description:
                      type: string
                      nullable: true
                    index:
                      type: number
                    dueDate:
                      type: string
                      format: date-time
                      pattern: >-
                        ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                      nullable: true
                    labels:
                      type: array
                      items:
                        type: object
                        properties:
                          publicId:
                            type: string
                          name:
                            type: string
                          colourCode:
                            type: string
                            nullable: true
                        required:
                          - publicId
                          - name
                          - colourCode
                        additionalProperties: false
                    attachments:
                      type: array
                      items:
                        type: object
                        properties:
                          publicId:
                            type: string
                        required:
                          - publicId
                        additionalProperties: false
                    checklists:
                      type: array
                      items:
                        type: object
                        properties:
                          publicId:
                            type: string
                          name:
                            type: string
                          index:
                            type: number
                          items:
                            type: array
                            items:
                              type: object
                              properties:
                                publicId:
                                  type: string
                                title:
                                  type: string
                                completed:
                                  type: boolean
                                index:
                                  type: number
                              required:
                                - publicId
                                - title
                                - completed
                                - index
                              additionalProperties: false
                        required:
                          - publicId
                          - name
                          - index
                          - items
                        additionalProperties: false
                    comments:
                      type: array
                      items:
                        type: object
                        properties:
                          publicId:
                            type: string
                        required:
                          - publicId
                        additionalProperties: false
                  required:
                    - publicId
                    - title
                    - description
                    - index
                    - dueDate
                    - labels
                    - attachments
                    - checklists
                    - comments
                  additionalProperties: false
            required:
              - publicId
              - name
              - index
              - cards
            additionalProperties: false
        allLists:
          type: array
          items:
            type: object
            properties:
              publicId:
                type: string
              name:
                type: string
            required:
              - publicId
              - name
            additionalProperties: false
      required:
        - publicId
        - name
        - slug
        - visibility
        - workspace
        - labels
        - lists
        - allLists
      additionalProperties: false

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.